3

Whenever I update some app(listed below), I am getting this Error.

Insufficient Storage available. I have a Sony Xperia ZR. I have about 3.46 GB free. And the application I am trying to updates are in MBs. I have 4.3 Jellybeans installed I tried

  1. I installed App Cache Cleaner App, and cleaned all the cache. Didn't help.
  2. I deleted the app data for all those apps, whose updates weren't getting installed.
  3. I connected my device to computer. I deleted all the data in Android/data folder. Didn't help
  4. I uninstalled all the big apps, didn't help
  5. I unistalled whatsapp(which was one app in the list), and tried to reinstall it couldn't reinstall it.

I have not rooted my phone, which I don't want to do, as I my phone is still under warranty. But I very troubled. Please help

The list of apps I am not able to get updates for

Google Chrome, Google Search Google Drive, Facebook, Youtube, Whatsapp, Xperia Link

  • possible duplicate of Insufficient storage updating Android app – Sameer Mar 28 '14 at 4:49
  • 2
    @sameer, no it not. I deleted all the app data, cleared all the cache still the error persists – Anubhav Agarwal Mar 28 '14 at 5:08
  • @Anubav try clearing cache and data of Google Play store and services, then try downloading! – coolhz Mar 31 '14 at 14:19
1

I had this same problem and this fixed it

  1. go to "/data/app-lib/APP-PATH(that has this error)/lib" and delete.
  2. install/update the apk app.

If this doesn't work try going to "/data/app-lib/APP-PATH(that has this error)" and delete all the folder (but you must begin by their sub-folder then the folder itself, because you cant delete the folder of this APP-PATH directly without deleting their sub-folder first

The reason for this is that for android 4.2,+ google create a new lib folder for the apps in "/data called /data/app-lib/" and there is a symlink from "/data/data/APP-PATH/lib" to this folder which is the most culpable of this error.

I came by this knowledge here http://forum.xda-developers.com/showthread.php?t=2443267

Like I said it worked for me..

|improve this answer|||||
  • I don't have a /data/app-lib – endolith Jul 27 '14 at 13:31

Not the answer you're looking for? Browse other questions tagged or ask your own question.